/*
Author: Hugo Sá
Author URL: https://www.bymutuo.com/
Description: Landning page for PICCO Natural Care, made with 327 Creative Studio.
Version: 1.0
*/

html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video{
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section{
    display: block;
}

body{
    line-height: 1;
}

ol, ul{
    list-style: none;
}

blockquote, q{
    quotes: none;
}

blockquote:before, blockquote:after, q:before, q:after{
    content: '';
    content: none;
}

table{
    border-collapse: collapse;
    border-spacing: 0;
}

a{
    color: inherit;
    text-decoration: none;
}


:root{
    --white: #ffffff;
    --light-grey: rgba(255,255,255,0.87);
    --grey: rgba(255,255,255,0.60);
    --dark-grey: rgba(255,255,255,0.38);
    --black: #181818;
    
    --beige: #d1d0c9;
}

@font-face{
  font-family: 'GT Pressura Mono Light';
  src: url('fonts/gt-pressura-mono-light.woff2') format('woff2');
}


@font-face{
  font-family: 'GT Pressura Mono Light Italic';
  src: url('fonts/gt-pressura-mono-light-italic.woff2') format('woff2');
}

@font-face{
  font-family: 'GT Pressura Mono Regular Italic';
  src: url('fonts/gt-pressura-mono-regular-italic.woff2') format('woff2');
}

html, body{
    font-family: 'GT Pressura Mono Light', monospace;
    
    height: 100%;
    width: 100%;
    margin: 0;
    
    color: var(--white);
    background-color: var(--black);
    
    overflow: hidden;
}

.background-wrapper{
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    
    background: url(media/images/picco-hero.jpg) no-repeat center center fixed; 
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

.background-wrapper.mobile{
    background: url(media/images/picco-hero-mobile.jpg) no-repeat center center fixed; 
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

.logo{
    position: fixed;
    top: 40px;
    left: 0;
    right: 0;
    
    height: 25px;
    width: auto;
    
    margin: 0 auto;
}

.tagline{
    position: fixed;
    bottom: 40px;
    left: 0;
    right: 0;
    
    height: 8px;
    width: auto;
    
    margin: 0 auto;
}

.center-comp{
    display: block;
    font-size: 30px;
    line-height: 1.5;
    color: var(--black);
    position: absolute;
    top: 50px;
    left: 50px;
}

.center-comp em{
    font-family: 'GT Pressura Mono Regular Italic', monospace;
}

.link{
    font-size: 14px;
    cursor: pointer;
}

.link:hover{
    color: var(--grey);
}

.button{
    display: inline-block;
    margin: 0;
    padding: 7.5px;
}

.button:hover{
    margin: 0;
}

.button:after{
    display: block;
    content: '';
    border-bottom: solid 2px var(--grey);
    margin-top: 4px;
    transform: scaleX(0);
    -webkit-transition: transform 0.25s ease-in-out;
    -moz-transition: transform 0.25s ease-in-out;
    transition: transform 0.25s ease-in-out;
}

.button:hover:after { transform: scaleX(1); }
.button.fromRight:after{ transform-origin: 100% 50%; }
.button.fromLeft:after{  transform-origin: 0% 50%; }

.info{
    position: fixed;
    top: 50%;
    left: 65px;
    margin: auto;
    transform: translateY(-50%);
}

.store{
    position: fixed;
    top: 50%;
    right: 65px;
    margin: auto;
    transform: translateY(-50%);
}

.email{
    position: fixed;
    bottom: 40px;
    left: 65px;
}

.socials{
    position: fixed;
    bottom: 40px;
    right: 65px;
}

.aside-wrapper{
    position: fixed;
    top: 0;
    left: -50%;
    height: 100%;
    width: 50%;
    
    background-color: var(--beige);
    
    filter: drop-shadow(0 0 5px rgba(0,0,0,.3));
    
    -webkit-transition: left 0.5s ease-in-out;
    -moz-transition: left 0.5s ease-in-out;
    transition: left 0.5s ease-in-out;
}

.aside-wrapper.active{
    left: 0 !important;
    -webkit-transition: left 0.5s ease-in-out;
    -moz-transition: left 0.5s ease-in-out;
    transition: left 0.5s ease-in-out;
}

.close-button{
    position: absolute;
    height: auto;
    width: 60px;
    top: 50px;
    right: 50px;
    cursor: pointer;
    
    -webkit-transition: right 0.25s ease-in-out;
    -moz-transition: right 0.25s ease-in-out;
    transition: right 0.25s ease-in-out;
}

.close-button:hover{
    right: 45px;
    
    -webkit-transition: right 0.25s ease-in-out;
    -moz-transition: right 0.25s ease-in-out;
    transition: right 0.25s ease-in-out;
}

.product-list{
    font-size: 14px;
    line-height: 1.5;
    color: var(--black);
    position: absolute;
    bottom: 50px;
    left: 90px;
    
    counter-reset: item;
    list-style-type: none;
}

.product-list em{
    display: block;
    font-family: 'GT Pressura Mono Light Italic', monospace;
    opacity: 0.38;
    margin-bottom: 25px;
}

.product-list strong{
    font-family: 'GT Pressura Mono Regular', monospace;
}

.product-list li{
    margin-bottom: 40px;
}


.product-list li:before{
    content: counter(item, decimal-leading-zero) " "; 
    counter-increment: item;
    
    font-size: 30px; 
    
    display: block;
    margin-left: -50px;
    margin-bottom: -45px;
}

.product-list li:last-child{
    margin-bottom: 0;
}

.product-list li a:hover{
    opacity: 0.38;
}

.certification{
    font-size: 14px;
    line-height: 1.5;
    color: var(--black);
    
    position: absolute;
    bottom: 50px;
    right: 50px;
}

@media (max-width: 600px){ /* SMARTPHONE */
    .background-wrapper{
        background: url(media/images/picco-hero-mobile.jpg) no-repeat center center fixed;
        -webkit-background-size: cover;
        -moz-background-size: cover;
        -o-background-size: cover;
        background-size: cover;
    }
    
    .logo{
        height: 20px;
    }
    
    .tagline{
        height: 8px;
    }
    
    .info{
        left: 30px;
    }

    .store{
        right: 30px;
    }

    .email{
        left: 30px;
    }
    
    .socials{
        right: 30px;
    }
    
    .aside-wrapper{
        left: -100%;
        width: 100%;
    }
    
    .center-comp{
        top: 30px;
        left: 30px;
    }
    
    .close-button{
        top: 35px;
        right: 30px;
    }
    
    .product-list{
        bottom: 30px;
        left: 80px;
    }
    
    .certification{
        bottom: 30px;
        right: 30px;
    }
    
    .mobile  .product-list{
        bottom: 100px !important;
    }
    
    .mobile .certification{
        bottom: 100px !important;
    }
    
    .mobile .socials{
        position: absolute;
        color: var(--black);
    }

    .mobile .email{
        position: absolute;
        color: var(--black);
    }
    
    .content-wapper.mobile .socials:hover, .content-wapper.mobile .email:hover{
        opacity: 0.87;
    }

}